Skip to main content
GET
/
volumes
List volumes
curl --request GET \
  --url https://sandbox.brimble.io/volumes \
  --header 'x-brimble-key: <api-key>'
{
  "message": "Volumes fetched",
  "data": {
    "data": [
      {
        "id": "<string>",
        "name": "<string>",
        "size": 123,
        "attached_sandbox_id": "<string>",
        "attached_project_id": "<string>",
        "team": "<string>",
        "volume_handle": "<string>",
        "region": {
          "id": "6a06df21cc6bef51342e199e",
          "name": "eu-west",
          "country": "France",
          "continent": "Europe",
          "enabled": true,
          "type": "sandbox"
        },
        "mount_path": "<string>",
        "last_attached_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "totalCount": 123,
    "currentPage": 123,
    "totalPages": 123,
    "limit": 123
  }
}

Authorizations

x-brimble-key
string
header
required

Your account-level Brimble API key. Find it in the dashboard under your profile drawer → API key (click the avatar in the sidebar). Available on paid plans only.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:15
Required range: 1 <= x <= 100

Response

Paginated volumes

message
string
required
Example:

"Volumes fetched"

data
object
required
Last modified on May 23, 2026